import {
  Component,
  OnInit,
  Input,
  AfterContentInit,
  Output,
  EventEmitter,
  OnDestroy
} from '@angular/core';
import { Store, select, StateObservable } from '@ngrx/store';
import { RPCClientError } from '@loafer/ng-rpc';
import { MetaCrawler } from '@overflow/commons-typescript/model/meta';
import { Subscription } from 'rxjs/Subscription';
import { MetaCrawlerComponent } from '../../../../meta/component/abstract/meta-crawler.component';
import { MetaCrawlerService } from '../../../../meta/service/meta-crawler.service';

@Component({
  selector: 'of-service-selector',
  templateUrl: './service-selector.component.html',
})
export class ServiceSelectorComponent extends MetaCrawlerComponent implements OnInit, AfterContentInit, OnDestroy {
  @Output() crawlerSelected = new EventEmitter<MetaCrawler>();
  @Input() includeServices;
  @Input() disabled: boolean;

  constructor(
    protected store: Store<any>,
    protected metaCrawlerService: MetaCrawlerService,
  ) {
    super(store, metaCrawlerService);
  }

  ngOnInit() {
    super.ngOnInit();
  }

  ngOnDestroy() {
    super.ngOnDestroy();
  }

  ngAfterContentInit() {
    // this.listStore.dispatch(new ListStore.ReadAll());
  }

}
